#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <sys/file.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

#define ANAPORT 16730

struct sockaddr_in cliaddr;
int sock;
char buf[0x4000];

int main(int argc,char *argv[]){
  struct hostent *hp;

  FILE *fd;

  if(argc != 2){
    printf("You must enter File Name.\n");
    exit(0);
  }

  if((sock = socket(AF_INET,SOCK_DGRAM,0)) < 0){
    perror("Can't make Socket.\n");
    exit(1);
  }

  if((hp = gethostbyname("localhost")) == NULL){
    exit(1);
  }else{
    bcopy(hp->h_addr,&cliaddr.sin_addr,hp->h_length);
    cliaddr.sin_family = AF_INET;
    cliaddr.sin_port = htons(ANAPORT);
  }

  if((fd = fopen(argv[1],"r")) == NULL){
    perror("File open");
    exit(1);
  }

  while(fread(buf,1,0x4000,fd) == 0x4000){
    sleep(1);
    if(buf[0] == 0){
      sendto(sock,buf,0x4000,0,(struct sockaddr *)&cliaddr,sizeof(cliaddr));
    }
  }
  fclose(fd);
  shutdown(sock,2);
  close(sock);

  return 0;
}
